import { VesselsService } from './vessels.service';
export declare class VesselsController {
    private readonly vesselsService;
    constructor(vesselsService: VesselsService);
    getVessels(_filters: any): Promise<import("./vessel.entity").VesselEntity[]>;
    getVessel(id: string): Promise<import("./vessel.entity").VesselEntity | null>;
    create(body: any): Promise<import("./vessel.entity").VesselEntity>;
    update(id: string, body: any): Promise<import("./vessel.entity").VesselEntity | null>;
    remove(id: string): Promise<import("typeorm").DeleteResult>;
}
